%define ISONAME ISO8859-2
Name: XFree86-%{ISONAME}
Version: 1.0
Release: 12cz2
Copyright: distributable
Source: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.gz
Source1: http://www.intersoft.cz/linux/fonts/ulT1mo-beta-1.0.tar.gz
Source2: URW-Type1-8859-2.tar.gz
Patch0: XFree86-ISO8859-2-1.0-redhat.patch
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Group(cs): Uivatelsk rozhran/X
Summary: Central European language fonts for the X Window System.
Summary(cs): Fonty pro stedoevropsk jazyky pro X Window System.
Prereq: chkfontpath
 
%description
If you use the X Window System and you want to display Central
European fonts, you should install the XFree86-ISO8859-2 package.

This package contains a full set of Central European fonts, in
compliance with the ISO 8859-2 standard. 

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%description -l cs
Jestlie pouvte X Window System a chcete zobrazovat stedoevropsk
fonty, muste nainstalovat balek XFree86-ISO8859-2.

Tento balek obsahuje plnou sadu stedoevropskch font podle standardu
ISO 8859-2.

Mete tak nainstalovat jeden nebo vce dalch balk s XFree86
fonty.

Jestlie instalujete na v pota X Window System, muste nainstalovat
balek XFree86, balek XFree86, kter odpovd va videokart, dle
balky X11R6-contrib, Xconfigurator, XFree86-xfs a XFree86-libs.

Jestlie budete vyvjet aplikace, kter pob jako X klienti, muste
tak nainstalovat XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Group(cs): Uivatelsk rozhran/X
Summary: A set of 75 dpi Central European language fonts for X.
Summary(cs): Sada font pro stedoevropsk jazyky v rozlien 75 dpi pro X.

%description 75dpi-fonts
The XFree86-ISO8859-2-75dpi-fonts package contains a set of Central
European language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Central European language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.  If
you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.

%description -l cs 75dpi-fonts
Balek XFree86-ISO8859-2-75dpi-fonts obsahuje sadu font v rozlien 75
dpi pro stedoevropsk jazyky pro X Window System. Pro monitory schopn
pracovat s vym rozlienm 100 dpi, je vhodnj 100 dpi verze tohoto
balku; pokud chcete mt vt klu velikost psma, mete vak
nainstalovat oba zmnn balky.

Jestlie instalujete X Window System a potebujete zobrazovat znaky
stedoevropskch jazyk, muste nainstalovat nkter z balk s
ISO8859-2 fonty. Mete tak nainstalovat jeden nebo vce dalch
balk s XFree86 fonty. Tak muste nainstalovat balek XFree86,
balek XFree86, kter odpovd va videokart, dle balky
X11R6-contrib, Xconfigurator, XFree86-xfs a XFree86-libs.

Jestlie budete vyvjet aplikace, kter pob jako X klienti, muste
tak nainstalovat XFree86-devel.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Group(cs): Uivatelsk rozhran/X
Summary: ISO 8859-2 fonts in 100 dpi resolution for the X Window System.
Summary(cs): ISO 8859-2 fonty ve 100 dpi rozlien pro X Window System.

%description 100dpi-fonts
The XFree86-ISO8859-2-100dpi-fonts package includes Central European
(ISO 8859-2) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Central European 
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-ISO8859-2-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

%description -l cs 100dpi-fonts
Balek XFree86-ISO8859-2-100dpi-fonts obsahuje stedoevropsk (ISO
8859-2) fonty pro X Window System v rozlien 100 dpi.

Potebujete-li zobrazovat znaky pouvan stedoevropskmi jazyky v X
Window Systemu, a v monitor podporuje rozlien 100 dpi muste
nainstalovat balek XFree86-ISO8859-2-100dpi-fonts.  Pokud chcete mt
vt klu velikost psma, mete si tak nainstalovat balek
XFree86-ISO8859-2-75dpi-fonts. Mete nainstalovat i jeden nebo vce
dalch balk XFree86 font.  Pro nainstalovn X Window System muste
nainstalovat balek XFree86, XFree86 balek, kter odpovd va
videokart, dle balky X11R6-contrib, Xconfigurator, XFree86-xfs a
XFree86-libs.  Jestlie budete vyvjet aplikace, kter pob jako X
klienti, muste tak nainstalovat balek XFree86-devel.


%package Type1-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Group(cs): Uivatelsk rozhran/X
Summary: Type 1 scalable Central European language (ISO8859-2) fonts for X.
Summary(cs): klovateln psma pro stedoevropsk jazyky (ISO-8859-2) pro X.

%description Type1-fonts
The XFree86-ISO8859-2-Type1-fonts package contains Central European
Type 1 fonts for the X Window System.  This set of fonts is known as
the ulT1mo (or ultimo) collection.  All of the included fonts are
copyrighted to their authors and freeware.  Original fonts were taken
from the Internet or CDs.

If you need to display Central European language fonts on your X
Window System, you should install the XFree86-ISO8859-2-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%description -l cs Type1-fonts
Balek XFree86-ISO8859-2-Type1-fonts obsahuje fonty pro stedoevropsk
jazyky pro X Window System. Tato sada font je znma jako kolekce ulT1mo
(nebo ultimo). Vechny obsaen fonty jsou copyrightovny svmi autory,
ale voln iiteln. Pvodn fonty byly zskny z Internetu a CD.

Pro zobrazovn klovatelnch font pro stedoevropsk jazyky v X
nainstalujte tento balek Mete tak nainstalovat jeden nebo vce
dalch balk s XFree86 fonty. Jestlie instalujete na v pota X
Window System, muste nainstalovat balek XFree86, balek XFree86,
kter odpovd va videokart, dle balky X11R6-contrib,
Xconfigurator, XFree86-xfs a XFree86-libs.

Jestlie budete vyvjet aplikace, kter pob jako X klienti, muste
tak nainstalovat XFree86-devel.

%prep
%setup -c -q -a 1 -a 2
%patch0 -p1 -b .redhat

%build
make all
make all -C ulT1mo-beta-1.0

%install
rm -rf $RPM_BUILD_ROOT
DSTFONT=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT
mkdir -p $DSTFONT/Type1/{afm,pfm}
(cd ulT1mo-beta-1.0 ;
install -m 644 *.pfb fonts.{alias,dir,scale} $DSTFONT/Type1
install -m 644 afm/*.afm $DSTFONT/Type1/afm
install -m 644 pfm/*.pfm $DSTFONT/Type1/pfm
)
mkdir -p $DSTFONT/Type1-URW
install Type1-URW/fonts/* $DSTFONT/Type1-URW

%clean
#rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi
fi

%post Type1-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1-URW

%postun Type1-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1-URW
fi

%files
%defattr(-,root,root)
%doc RELEASE_NOTES.TXT
%dir /usr/share/fonts/%{ISONAME}
%dir /usr/share/fonts/%{ISONAME}/misc
/usr/share/fonts/%{ISONAME}/misc/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/misc/fonts.*

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/75dpi
/usr/share/fonts/%{ISONAME}/75dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/75dpi/fonts.*

%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/100dpi
/usr/share/fonts/%{ISONAME}/100dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/100dpi/fonts.*

%files Type1-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/Type1
/usr/share/fonts/%{ISONAME}/Type1/afm
/usr/share/fonts/%{ISONAME}/Type1/*.pfb
/usr/share/fonts/%{ISONAME}/Type1/pfm
%config(noreplace) /usr/share/fonts/%{ISONAME}/Type1/fonts.*
%dir /usr/share/fonts/%{ISONAME}/Type1-URW
/usr/share/fonts/%{ISONAME}/Type1-URW/[^f]*
%config(noreplace) /usr/share/fonts/%{ISONAME}/Type1-URW/fonts.*
%doc Type1-URW/README.cz

%changelog
* Fri Dec 16 2000 Milan Kerslager <kerslage@linux.cz>
- URW fonts from SuSE added, see the README.cz

* Thu Dec  7 2000 Milan Kerslager <kerslage@linux.cz>
- rebuild for 7.0 CZ

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.* are now config files

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed typos

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts moved to /usr/share/fonts/ISO8859-2 under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2
- made a noarch package

